# Uses of Interface
org.eclipse.ui.contexts.IContextListener

Packages that use IContextListener
Package
Description
org.eclipse.ui.contexts
Provides support for integrating contexts into the Eclipse workbench.

## Uses of IContextListener in org.eclipse.ui.contexts

Methods in org.eclipse.ui.contexts with parameters of type IContextListener
Modifier and Type
Method
Description
`void`
IContext.`addContextListener(IContextListener contextListener)`
Deprecated.
Registers an instance of `IContextListener` to listen for changes to properties of this instance.
`void`
IContext.`removeContextListener(IContextListener contextListener)`
Deprecated.
Unregisters an instance of `IContextListener` listening for changes to properties of this instance.